%bcond_with docs

%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	C++ JSON Library
Name:		jsoncpp
Version:	1.6.5
Release:	1
License:	Public Domain
Group:		System/Libraries
Url:		http://jsoncpp.sourceforge.net/
Source0:	https://github.com/open-source-parsers/jsoncpp/archive/%{name}-%{version}.zip
Patch0:		jsoncpp-1.6.5-autotools.patch
Patch1:		jsoncpp-1.6.5-disable-docs.patch
#To generate docs
%if %{with docs}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization 
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	JsonCpp library
Group:		System/Libraries

%description -n %{libname}
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.

%files -n %{libname}
%doc NEWS.txt README.md
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Files for building applications with %{name} support.

%files -n %{devname}
%{_libdir}/lib%{name}.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/json/*.h
%if %{with docs}
%doc %{_defaultdocdir}/libjsoncpp/html/*
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%if %{without docs}
%patch1 -p1
%endif

# make sure doxyfile.in can be processed by autoconf
sed -i -e 's/%/@/g' doc/doxyfile.in
touch README ChangeLog NEWS

%build
autoreconf -fi
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

%changelog

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.5-1
- (1be0474) New version 1.6.5
- (1be0474) Use autotools instead of scons to build


